/******************************************************************
file name:def.h
2018.9.19
def_cuiyn:
******************************************************************/
#ifndef _DEF2824C_H
#define _DEF2824C_H


/*Function statment<<=========================================================*/
void SysInit(void);
void Delay_us(unsigned char DelayCnt);





/////////////////////////////////////////
struct bitRegister{
	unsigned bit0:1;
	unsigned bit1:1;
	unsigned bit2:1;
	unsigned bit3:1;
	unsigned bit4:1;
	unsigned bit5:1;
	unsigned bit6:1;
	unsigned bit7:1;
};
//////////////////////////////////////////
typedef unsigned char BYTE;
typedef unsigned long ulong;
typedef unsigned int uint;
typedef double DWORD;
///////////////////////////////////////////

#define	RESET			0u		//
#define	SET			  	1u		//

#define	I_ClrWdtr		0x5A

//special port define
#define I2C_SCL 	FP13
#define I2C_SDA		FP14

#define SPI_SCS		FP23
#define SPI_SCK		FP22
#define SPI_SDI		FP20
#define SPI_SDO		FP21

///////////////////////////////////////////
//special port define
/*P0 function <<==================================================*/
#define	P00		FP00
#define	P01		FP01
#define	P02		FP02
#define	P03		FP03
/*P1 function <<==================================================*/
#define	P10		FP10
#define	P11		FP11
#define	P12		FP12
#define	P13		FP13

#define	P14		FP14
#define	P15		FP15
#define	P16		FP16
#define	P17		FP17
/*P2 function <<==================================================*/
#define	P20		FP20

#define	Led		FP20

#define	P21		FP21
#define	P22		FP22
#define	P23		FP23

#define	P24		FP24
#define	P25		FP25
/*P3 function <<==================================================*/
#define	P30		FP30
#define	P31		FP31
#define	P32		FP32
#define	P33		FP33

#define	P34		FP34
#define	P35		FP35
#define	P36		FP36
#define	P37		FP37
////////////////////////////////////////////
//sfr define for fc2824
////////////////////////////////////////////
//=================================================
//Ĵ궨
//=================================================
sfr		R	=0X82;
sfr		Z	=0X83;
sfr		Y	=0X84;
//=================================================
sfr		PFLAG	=0X86;	
	sbit	FZ			=0X86:0;
	sbit	FDC			=0X86:1;
	sbit	FC			=0X86:2;
	
	sbit	FLVDF		=0X86:5;
	sbit	FNPD		=0X86:6;
	sbit	FNT0		=0X86:7;
//=================================================
sfr		RBANK	=0X87;
	sbit	FRBNKS0		=0X87:0;
	sbit	FRBNKS1		=0X87:1;
//=================================================
 sfr    TKCON  =0X88;
	sbit	FTKM0S0		=0X88:0;
	sbit	FTKM0S1		=0X88:1;
	sbit	FTKTMPS0	=0X88:2;
	sbit	FTKTMPS1	=0X88:3;
	
	sbit	FTKM0EN		=0X88:4;
	sbit	FTKM1EN		=0X88:5;
	sbit	FTKM2EN		=0X88:6;
	sbit	FTKEN		=0X88:7;
//=================================================
 sfr    TKTMD0 =0X89;
	sbit	FTKM1S0		=0X89:0;
	sbit	FTKM1S1		=0X89:1;
	sbit	FTKRDS0		=0X89:2;
	sbit	FTKRDS1		=0X89:3;
	
	sbit	FTKTCFS0	=0X89:4;
	sbit	FTKTCFS1	=0X89:5;
	sbit	FTKTCFS2	=0X89:6;
	sbit	FTKTMREN	=0X89:7;
//=================================================
 sfr    TKTMD1 =0X8a;
	sbit	FTKM2S0		=0X8a:0;
	sbit	FTKM2S1		=0X8a:1;
	sbit	FTKTMSC		=0X8a:2;
	sbit	FTKTCEN		=0X8a:3;
	
	sbit	FKEYEN9		=0X8a:4;
	sbit	FKEYEN10	=0X8a:5;
	sbit	FKEYEN11	=0X8a:6;
	sbit	FKEYEN12	=0X8a:7;
//=================================================
 sfr    TKTMCH =0X8b;
 sfr    TKTMCL =0X8c;
 sfr    TKTMRH =0X8d;
 sfr    TKTMRL =0X8e;
//=================================================
 sfr    TKMIO  =0X8f;
	sbit	FKEYEN7		=0X8f:7;
	sbit	FKEYEN6		=0X8f:6;
	sbit	FKEYEN5		=0X8f:5;
	sbit	FKEYEN4		=0X8f:4;
	
	sbit	FKEYEN3		=0X8f:3;
	sbit	FKEYEN2		=0X8f:2;
	sbit	FKEYEN1		=0X8f:1;
	sbit	FKEYEN0		=0X8f:0;
//=================================================
 sfr    TM0M    =0X90;
	sbit	FPWM00E		  =0X90:0;
	sbit	FALOAD0		  =0X90:1;
	sbit	FTM0CKS0	  =0X90:2;
	sbit	FTM0CKS1	  =0X90:3;
	
	sbit	FTM0PS0		  =0X90:4;
	sbit	FTM0PS1		  =0X90:5;
	sbit	FTM0PS2		  =0X90:6;
	sbit	FTM0TR		  =0X90:7;
//=================================================
 sfr    TM0CL   =0X91;
 sfr    TM0CH   =0X92;
 sfr    TM0D0L  =0X93;
 sfr    TM0D0H  =0X94;
 sfr    TM0D1L  =0X95;
 sfr    TM0D1H  =0X96;
//=================================================
 sfr    PWM0E   =0X97;
	sbit	FPWM01E		  	  =0X97:0;
	sbit	FPWM00HL		  =0X97:1;
	sbit	FPWM01HL		  =0X97:2;
	sbit	FPWM0M		  	  =0X97:3;
	
	sbit	FPWM00OE		  =0X97:4;
	sbit	FPWM01OE		  =0X97:5;
	sbit	FTC0WAKE		  =0X97:6;
	sbit	FPWM0OD		  	  =0X97:7;
//=================================================
 sfr    SPIC0 =0X98;
	sbit	FSPIM3	=0X98:3;
	sbit	FSPIM2	=0X98:2;
	sbit	FSPIM1	=0X98:1;
	sbit	FSPIEN	=0X98:0;
//=================================================
 sfr    SPIC1 =0X99;
	sbit	FWCOL	=0X99:1;
	sbit	FCSEN	=0X99:2;
	sbit	FMLS	=0X99:3;
	
	sbit	FCKEG	=0X99:4;
	sbit	FCKPOLB	=0X99:5;
//=================================================
 sfr    SPIBUF =0X9a;
//=================================================
 sfr    LCDCON  =  0x9b;
	sbit	FLCDEN		  =0x9b:0;
	sbit	FRESL0		  =0x9b:1;
	sbit	FRESL1		  =0x9b:2;
	sbit	FOSCS		  =0x9b:3;
	
	sbit	FLCDT0		  =0x9b:4;
	sbit	FLCDT1		  =0x9b:5;
	sbit	FLCDT2	  	  =0x9b:6;
	sbit	FLCDRC_EN	  =0x9b:7;
//=================================================
 sfr    LCDCOM  =  0x9c;
 sfr    LCDSEG  =  0x9d;
 sfr    LCDDB   =  0x9e;
 sfr    LCDADR  =  0x9f;
//=================================================
 sfr    TM1M    =0XA0;
	sbit	FPWM10E		  =0XA0:0;
	sbit	FALOAD1		  =0XA0:1;
	sbit	FTM1CKS0	  =0XA0:2;
	sbit	FTM1CKS1	  =0XA0:3;
	
	sbit	FTM1PS0		  =0XA0:4;
	sbit	FTM1PS1		  =0XA0:5;
	sbit	FTM1PS2		  =0XA0:6;
	sbit	FTM1TR		  =0XA0:7;
//=================================================
 sfr    TM1CL   =0XA1;
 sfr    TM1CH   =0XA2;
 sfr    TM1D0L  =0XA3;
 sfr    TM1D0H  =0XA4;
 sfr    TM1D1L  =0XA5;
 sfr    TM1D1H  =0XA6;
//=================================================
 sfr    PWM1E   =0XA7;
	sbit	FPWM11E		=0XA7:0;
	sbit	FPWM10HL	=0XA7:1;
	sbit	FPWM11HL	=0XA7:2;
	sbit	FPWM1M		=0XA7:3;
	
	sbit	FPWM10OE	=0XA7:4;
	sbit	FPWM11OE	=0XA7:5;
	sbit	FTC1WAKE	=0XA7:6;
	sbit	FPWM1OD		=0XA7:7;
//=================================================
 sfr    I2CCON =0Xa8;
	sbit	FI2CEN		=0Xa8:0;
	sbit	FI2CPU		=0Xa8:1;
	sbit	FI2CCKP		=0Xa8:2;
	sbit	FTXAK		=0Xa8:3;
	
	sbit	FSRW		=0Xa8:4;
	sbit	FHBB		=0Xa8:5;
	sbit	FHAAS		=0Xa8:6;
	sbit	FHCF		=0Xa8:7;
//=================================================
 sfr    I2CADD =0Xa9;
 sfr    I2CBUF =0Xaa;
//=================================================
 sfr    E2PCON =0Xab;
	sbit	E2P_BER	=0Xab:4;//FE2P_CER
	sbit	E2P_CER	=0Xab:3;//FE2P_CER
	sbit	E2P_SER	=0Xab:2;//FE2P_SER
	sbit	E2P_PG		=0Xab:1;
	sbit	E2P_RD		=0Xab:0;
//=================================================
 sfr    E2PDB  =0Xac;
	sbit	FE2PDB7		=0Xac:7;
	sbit	FE2PDB6		=0Xac:6;
	sbit	FE2PDB5		=0Xac:5;
	sbit	FE2PDB4		=0Xac:4;
	
	sbit	FE2PDB3		=0Xac:3;
	sbit	FE2PDB2		=0Xac:2;
	sbit	FE2PDB1		=0Xac:1;
	sbit	FE2PDB0		=0Xac:0;
//=================================================
 sfr    E2PADL =0Xad;
	sbit	FE2PADL7	=0Xad:7;
	sbit	FE2PADL6	=0Xad:6;
	sbit	FE2PADL5	=0Xad:5;
	sbit	FE2PADL4	=0Xad:4;

	sbit	FE2PADL3	=0Xad:3;
	sbit	FE2PADL2	=0Xad:2;
	sbit	FE2PADL1	=0Xad:1;
	sbit	FE2PADL0	=0Xad:0;
//=================================================
 sfr    E2PADH  =0Xae;
	sbit	FE2PADH0	=0Xae:0;
//================================================= 
 sfr    TM2M    =0XB0;
	sbit	FPWM20E		=0XB0:0;
	sbit	FALOAD2		=0XB0:1;
	sbit	FTM2CKS0	=0XB0:2;
	sbit	FTM2CKS1	=0XB0:3;
	
	sbit	FTM2PS0		=0XB0:4;
	sbit	FTM2PS1		=0XB0:5;
	sbit	FTM2PS2		=0XB0:6;
	sbit	FTM2TR		=0XB0:7;
//=================================================
 sfr    TM2CL   =0XB1;
 sfr    TM2CH   =0XB2;
 sfr    TM2D0L  =0XB3;
 sfr    TM2D0H  =0XB4;
 sfr    TM2D1L  =0XB5;
 sfr    TM2D1H  =0XB6;
//=================================================
 sfr    PWM2E   =0XB7;
	sbit	FPWM21E		=0XB7:0;
	sbit	FPWM20HL	=0XB7:1;
	sbit	FPWM21HL	=0XB7:2;
	sbit	FPWM2M		=0XB7:3;
		
	sbit	FPWM20OE	=0XB7:4;
	sbit	FPWM21OE	=0XB7:5;
	sbit	FTC2WAKE	=0XB7:6;
	sbit	FPWM2OD		=0XB7:7;
//=================================================
 sfr    P0M =0XB8;
	sbit	FP03M	=0XB8:3;
	sbit	FP02M	=0XB8:2;
	sbit	FP01M	=0XB8:1;
	sbit	FP00M	=0XB8:0;
//=================================================
 sfr    ADM =0XB9;
	sbit	FCHS0	=0XB9:0;
	sbit	FCHS1	=0XB9:1;
	sbit	FCHS2	=0XB9:2;
	sbit	FCHS3	=0XB9:3;
		
	sbit	FGCHS	=0XB9:4;
	sbit	FEOC	=0XB9:5;
	sbit	FADS	=0XB9:6;
	sbit	FADENB	=0XB9:7;
//=================================================
 sfr    ADB =0XBa;
	sbit	FADB11	=0XBa:7;
	sbit	FADB10	=0XBa:6;
	sbit	FADB9	=0XBa:5;
	sbit	FADB8	=0XBa:4;
	
	sbit	FADB7	=0XBa:3;
	sbit	FADB6	=0XBa:2;
	sbit	FADB5	=0XBa:1;
	sbit	FADB4	=0XBa:0;
//=================================================
 sfr    ADR =0XBb;
	sbit	FADB0	=0XBb:0;
	sbit	FADB1	=0XBb:1;
	sbit	FADB2	=0XBb:2;
	sbit	FADB3	=0XBb:3;
	
	sbit	FADCKS0	=0XBb:4;
	sbit	FADCKS1	=0XBb:6;
//=================================================
 sfr    ADT =0XBc;
	sbit	FADT_0	=0XBc:0;
	sbit	FADT_1	=0XBc:1;
	sbit	FADT_2	=0XBc:2;
	sbit	FADT_3	=0XBc:3;
	sbit	FADT_4	=0XBc:4;

	sbit	FADTS_0	=0XBc:6;
	sbit	FADTS_1	=0XBc:7;
//=================================================
 sfr    VREFH =0XBd;
	sbit	FVHS0	=0XBd:0;
	sbit	FVHS1	=0XBd:1;

	sbit	FEVHENB	=0XBd:7;
//=================================================
 sfr    ADPCON =0Xbe;
	sbit	FADPIN7	=0Xbe:7;
	sbit	FADPIN6	=0Xbe:6;
	sbit	FADPIN5	=0Xbe:5;
	sbit	FADPIN4	=0Xbe:4;
	
	sbit	FADPIN3	=0Xbe:3;
	sbit	FADPIN2	=0Xbe:2;
	sbit	FADPIN1	=0Xbe:1;
	sbit	FADPIN0	=0Xbe:0;
//=================================================
 sfr    PEDGE =0XBF;
	sbit	FINT1S2	=0XBF:7;
	sbit	FINT1S1	=0XBF:6;
	sbit	FINT1S0	=0XBF:5;
	sbit	FINT1G1	=0XBF:4;
	
	sbit	FINT1G0	=0XBF:3;
	sbit	FINT0G1	=0XBF:2;
	sbit	FINT0G0	=0XBF:1;
	sbit	FINT0S	=0XBF:0;
//=================================================
//=================================================
sfr		P1W	=0XC0;
	sbit	FP17W	=0XC0:7;
	sbit	FP16W	=0XC0:6;
	sbit	FP15W	=0XC0:5;
	sbit	FP14W	=0XC0:4;
	
	sbit	FP13W	=0XC0:3;
	sbit	FP12W	=0XC0:2;
	sbit	FP11W	=0XC0:1;
	sbit	FP10W	=0XC0:0;
//=================================================
sfr		P1M	=0XC1;
	sbit	FP17M	=0XC1:7;
	sbit	FP16M	=0XC1:6;
	sbit	FP15M	=0XC1:5;
	sbit	FP14M	=0XC1:4;
	
	sbit	FP13M	=0XC1:3;
	sbit	FP12M	=0XC1:2;
	sbit	FP11M	=0XC1:1;
	sbit	FP10M	=0XC1:0;
//=================================================
sfr		P2M	=0XC2;
	sbit	FP25M	=0XC2:5;
	sbit	FP24M	=0XC2:4;
	
	sbit	FP23M	=0XC2:3;
	sbit	FP22M	=0XC2:2;
	sbit	FP21M	=0XC2:1;
	sbit	FP20M	=0XC2:0;
//=================================================
sfr		P3M	=0XC3;
	sbit	FP37M	=0X0C3:7;
	sbit	FP36M	=0X0C3:6;
	sbit	FP35M	=0X0C3:5;
	sbit	FP34M	=0X0C3:4;
	
	sbit	FP33M	=0X0C3:3;
	sbit	FP32M	=0X0C3:2;
	sbit	FP31M	=0X0C3:1;
	sbit	FP30M	=0X0C3:0;
//=================================================
 sfr    INTRQ1 = 0XC6;
//intRQ1
	sbit	FE2PIF		=0xc6:0;
	sbit	FTKTMRIF	=0xc6:1;
	sbit	FSPIIF		=0xc6:2;
	sbit	FT0IF	    =0xC6:3;
	
	sbit	FOPAIF    	=0xC6:4;
//=================================================
 sfr    INTEN1 = 0XC7;//inteN1
	sbit	FE2PIE		=0xc7:0;
	sbit	FTKTMRIE	=0xc7:1;
	sbit	FSPIIE		=0xc7:2;
	sbit	FT0IE	    =0xC7:3;
	
	sbit	FOPAIE    	=0xC7:4;
//=================================================
sfr		INTRQ	= 0XC8;
//intRQ
	sbit	FINT0IF		=0xc8:0;
	sbit	FINT1IF		=0xc8:1;
	sbit	FTM0IF		=0xc8:2;
	sbit	FTM1IF		=0xc8:3;
	
	sbit	FTM2IF		=0xc8:4;
	sbit	FRPIF		=0xc8:5;
	sbit	FI2CIF		=0xc8:6;
	sbit	FADCIF		=0xc8:7;
//=================================================
sfr		INTEN	= 0XC9;
 //inte
	sbit	FINT0IE		=0xc9:0;
	sbit	FINT1IE		=0xc9:1;
	sbit	FTM0IE		=0xc9:2;
	sbit	FTM1IE		=0xc9:3;
	
	sbit	FTM2IE		=0xc9:4;
	sbit	FRPIE		=0xc9:5;
	sbit	FI2CIE		=0xc9:6;
	sbit	FADCIE		=0xc9:7;
//=================================================
sfr		OSCM	=0XCA;
	sbit	FCPUM1		=0XCA:4;
	sbit	FCPUM0		=0XCA:3;
	sbit	FCLKMD		=0XCA:2;
	sbit	FSTPHX		=0XCA:1;
//=================================================
sfr		RCADJ   =0XCB;
//=================================================
sfr		WDTR   =0XCC;
//=================================================
 sfr    OPTION = 0XCD;
//----OPTION CONTROL
	sbit	FWDTP0		=0xCD:0;
	sbit	FWDTP1		=0xCD:1;
	sbit	FWDTP2		=0xCD:2;
	sbit	FRTCCON		=0xCD:3;

	sbit	FLVDTEN		=0xCD:4;//ADPIN8
	sbit	FLDOEN		=0xCD:5;//ADPIN9
	sbit	FLIRC_EN	=0xCD:6;//LVDEN
	sbit	FRCADJEN	=0xCD:7;
//=================================================
 sfr    PCL = 0XCE;
//=================================================
 sfr    PCH = 0XCF;
//=================================================
 sfr    P0 = 0XD0;
	sbit	FP03	=0XD0:3;
	sbit	FP02	=0XD0:2;
	sbit	FP01	=0XD0:1;
	sbit	FP00	=0XD0:0;
//=================================================
 sfr    P1 = 0XD1;
	sbit	FP17	=0XD1:7;
	sbit	FP16	=0XD1:6;
	sbit	FP15	=0XD1:5;
	sbit	FP14	=0XD1:4;
	
	sbit	FP13	=0XD1:3;
	sbit	FP12	=0XD1:2;
	sbit	FP11	=0XD1:1;
	sbit	FP10	=0XD1:0;
//=================================================
 sfr    P2 = 0XD2;
	sbit	FP25	=0XD2:5;
	sbit	FP24	=0XD2:4;
	
	sbit	FP23	=0XD2:3;
	sbit	FP22	=0XD2:2;
	sbit	FP21	=0XD2:1;
	sbit	FP20	=0XD2:0;	
//=================================================
 sfr    P3 = 0XD3;
	sbit	FP37	=0XD3:7;
	sbit	FP36	=0XD3:6;	
	sbit	FP35	=0XD3:5;
	sbit	FP34	=0XD3:4;
	
	sbit	FP33	=0XD3:3;
	sbit	FP32	=0XD3:2;
	sbit	FP31	=0XD3:1;
	sbit	FP30	=0XD3:0;
//=================================================
sfr		T0M	=	0XD8;
	sbit	FT0PS0	=0XD8:4;
	sbit	FT0PS1	=0XD8:5;	//EQU     	T0M.5
	sbit	FT0PS2	=0XD8:6;	//EQU     	T0M.6
	sbit	FT0TR	=0XD8:7;	//EQU     	T0M.7
//=================================================
sfr		T0C	=	0XD9;
//=================================================
 sfr    OPA1CON = 0XDA;
	sbit	FOP1EN	=0XDA:7;
	sbit	FOP1AS	=0XDA:6;
	sbit	FOP1AS1	=0XDA:5;
	sbit	FOP1AS0	=0XDA:4;
	
	sbit	FOP1NS0	=0XDA:3;
	sbit	FOP1NS	=0XDA:2;
	sbit	FOP1PS0	=0XDA:1;
	sbit	FOP1PS	=0XDA:0;
//=================================================
 sfr    OPA2CON = 0XDB;
	sbit	FOP2EN		=	0XDB:7;
	sbit	FOP1INT_EN	=	0XDB:6;
	sbit	FOP2G1		=	0XDB:5;
	sbit	FOP2G0		=	0XDB:4;
	
	sbit	FOP1G1	=	0XDB:3;
	sbit	FOP1G0	=	0XDB:2;
	sbit	FOP2OS	=	0XDB:1;
	sbit	FOP1OS	=	0XDB:0;
//=================================================
 sfr    P1OD = 0XDC;
	sbit	FP17OD	=	0XDC:7;
	sbit	FP16OD	=	0XDC:6;
	sbit	FP15OD	=	0XDC:5;
	sbit	FP14OD	=	0XDC:4;
	
	sbit	FP13OD	=	0XDC:3;
	sbit	FP12OD	=	0XDC:2;
	sbit	FP11OD	=	0XDC:1;
	sbit	FP10OD	=	0XDC:0;
//=================================================
 sfr    P2W = 0Xdd;
	sbit	FP27W	=0Xdd:7;
	sbit	FP26W	=0Xdd:6;
	sbit	FP25W	=0Xdd:5;
	sbit	FP24W	=0Xdd:4;
	
	sbit	FP23W	=0Xdd:3;
	sbit	FP22W	=0Xdd:2;
	sbit	FP21W	=0Xdd:1;
	sbit	FP20W	=0Xdd:0;
//=================================================
 sfr    P3W = 0XDE;
	sbit	FP37W	=0XDE:7;
	sbit	FP36W	=0XDE:6;
	sbit	FP35W	=0XDE:5;
	sbit	FP34W	=0XDE:4;
	
	sbit	FP33W	=0XDE:3;
	sbit	FP32W	=0XDE:2;
	sbit	FP31W	=0XDE:1;
	sbit	FP30W	=0XDE:0;
//=================================================
sfr		STKP	=	0XDF;
	sbit	FGIE	=0XDF:7;
	
	sbit	FSTKPB2	=0XDF:2;
	sbit	FSTKPB1	=0XDF:1;
	sbit	FSTKPB0	=0XDF:0;
//=================================================
sfr		P0UR	=	0XE0;
	sbit	FP03UR	=	0XE0:3;
	sbit	FP02UR	=	0XE0:2;
	sbit	FP01UR	=	0XE0:1;
	sbit	FP00UR	=	0XE0:0;
//=================================================
sfr		P1UR	=	0XE1;
	sbit	FP17UR	=	0XE1:7;
	sbit	FP16UR	=	0XE1:6;
	sbit	FP15UR	=	0XE1:5;
	sbit	FP14UR	=	0XE1:4;

	sbit	FP13UR	=	0XE1:3;
	sbit	FP12UR	=	0XE1:2;
	sbit	FP11UR	=	0XE1:1;
	sbit	FP10UR	=	0XE1:0;
//=================================================
sfr		P2UR	=	0XE2;
	sbit	FP25UR	=	0XE2:5;
	sbit	FP24UR	=	0XE2:4;
	
	sbit	FP23UR	=	0XE2:3;
	sbit	FP22UR	=	0XE2:2;
	sbit	FP21UR	=	0XE2:1;
	sbit	FP20UR	=	0XE2:0;
//=================================================
sfr		P3UR	=	0XE3;
	sbit	FP37UR	=	0XE3:7;
	sbit	FP36UR	=	0XE3:6;
	sbit	FP35UR	=	0XE3:5;
	sbit	FP34UR	=	0XE3:4;

	sbit	FP33UR	=	0XE3:3;
	sbit	FP32UR	=	0XE3:2;
	sbit	FP31UR	=	0XE3:1;
	sbit	FP30UR	=	0XE3:0;
//=================================================
//sfr		@YZ		=	0XE7;
//=================================================

/////////////////////////////////////////////////////
/////////////////////////////////////////////////////
#define HIBYTE(wval)		*(((BYTE*)(&wval))+1)//16-bit 8λ
#define LWBYTE(wval)		*(((BYTE*)(&wval))+0)//16-bit 8λ

#define HIWORD(wval)		*(((WORD*)(&wval))+1)//32-bit 8λ
#define LWWORD(wval)		*(((WORD*)(&wval))+0)//32-bit 8λ
#define SLEEPMODE __asm{SleepMode}
#define GREENMODE __asm{GreenMode}
#define SLOWMODE __asm{SLowMode}
#define SLOW2NORMAL __asm{Slow2Normal}
/////////////////////////////////////////////////////
/////////////////////////////////////////////////////
#endif
