#line 1 ".\Src\main.c"
#line 1 "C:\Sonix\SN8_C_~1.264\C\include\SonixDef.h"



unsigned long GetRollingCode(unsigned int offset);








struct _intrinsicbitfield
{
	unsigned bit0:1;
	unsigned bit1:1;
	unsigned bit2:1;
	unsigned bit3:1;
	unsigned bit4:1;
	unsigned bit5:1;
	unsigned bit6:1;
	unsigned bit7:1;
};













#line 1 ".\Src\main.c"
#line 1 ".\Include\fc2524.h"


#line 6 ".\Include\fc2524.h"




struct bitRegister{
	unsigned bit0:1;
	unsigned bit1:1;
	unsigned bit2:1;
	unsigned bit3:1;
	unsigned bit4:1;
	unsigned bit5:1;
	unsigned bit6:1;
	unsigned bit7:1;
};

typedef unsigned char BYTE;
typedef unsigned long WORD;
typedef double DWORD;












sfr	R = 0x82;
sfr	Z = 0x83;
sfr	Y = 0x84;
sfr	PFLAG = 0x86;
sfr	RBANK = 0x87;

 sfr     TM0M    =0X90;
 sfr    TM0CL   =0X91;
 sfr    TM0CH   =0X92;
 sfr    TM0D0L  =0X93;
 sfr    TM0D0H  =0X94;
 sfr    TM0D1L  =0X95;
 sfr    TM0D1H  =0X96;
 sfr    PWM0E   =0X97;

 sfr    TM1M    =0XA0;
 sfr    TM1C   =0XA1;
 sfr    TM1D0   =0XA2;
 sfr    TM1D1  =0XA3;
 sfr    TM1D2  =0XA4;
 sfr    TM1D3  =0XA5;
 sfr    PWM1E   =0XA6;

 sfr	I2CCON	=0XA8;
 sfr	I2CADD	=0XA9;
 sfr	I2CBUF	=0XAA;

 sfr    TM2M    =0XB0;
 sfr    TM2C   =0XB1;
 sfr    TM2D0   =0XB2;
 sfr    TM2D1  =0XB3;
 sfr    TM2D2  =0XB4;
 sfr    TM2D3  =0XB5;
 sfr    PWM2E   =0XB6;


 sfr    E2PCON =0Xab;
 sfr    E2PDB  =0Xac;
 sfr    E2PADL =0Xad;
 sfr    E2ADH  =0Xae;

 sfr    TKCON=  0X88;
 sfr    TKTMD0 =0X89;
 sfr    TKTMD1 =0X8A;
 sfr    TKTMCH =0X8B;
 sfr    TKTMCL =0X8C;
 sfr    TKTMRH =0X8D;
 sfr    TKTMRL =0X8E;
 sfr    TKTMIO  =0X8F;

 sfr	PEDGE =0XBF;

 sfr    P1W = 0XC0;
 sfr	P1M = 0xc1;
 sfr	P3M=0XC3;
 sfr    INTRQ1 = 0XC6;
 sfr    INTEN1 = 0XC7;
 sfr    INTRQ = 0XC8;
 sfr    INTEN = 0XC9;
 sfr	OSCM = 0xca;

 sfr	WDTR =0XCC;
 sfr    OPTION = 0XCD;
 sfr	PCL =0XCE;
 sfr	PCH =0XCF;

 sfr	P1 = 0XD1;
 sfr	P3 = 0XD3;
 sfr	T0M = 0XD8;
 sfr	T0C = 0XD9;


 sfr    P1OD = 0XDC;
 sfr    P3OD = 0Xdd;
 sfr    P3W = 0XDE;
 sfr    STKP = 0XDF;

 sfr	P1UR=0Xe1;
 sfr	P3UR=0XE3;
 sfr	P1PD=0XEC;
 sfr	P3PD=0XEE;

sbit	E2P_ER_HALF =0xAB:5;
sbit	E2P_BER	    =0xAB:4;
sbit	E2P_CER	    =0xAB:3;
sbit	E2P_SER		=0xAB:2;
sbit	E2P_PG		=0xAB:1;
sbit	E2P_RD		=0xAB:0;

sbit	SPIEN		=0x98:0;

sbit	WCOL		=0x99:1;
sbit	CSEN		=0x99:2;
sbit	MLS		=0x99:3;
sbit	CKEG		=0x99:4;
sbit	CKPOLB		=0x99:5;


sbit	I2CEN		=0xA8:0;
sbit	I2CPU		=0xA8:1;
sbit	I2CCKP		=0xA8:2;
sbit	TXAK		=0xA8:3;
sbit	SRW		=0xA8:4;
sbit	HBB		=0xA8:5;
sbit	HAAS		=0xA8:6;
sbit	HCF		=0xA8:7;



sbit	TKM0S0		=0x88:0;
sbit	TKM0S1		=0x88:1;
sbit	TKTMPS0		=0x88:2;
sbit	TKTMPS1		=0x88:3;
sbit	TKM0EN		=0x88:4;
sbit	TKM1EN		=0x88:5;
sbit	TKM2EN		=0x88:6;
sbit	TKEN		=0x88:7;

sbit	TKM1S0		=0x89:0;
sbit	TKM1S1		=0x89:1;
sbit	TKRDS0		=0x89:2;
sbit	TKRDS1		=0x89:3;

sbit	TKTCFS0		=0x89:4;
sbit	TKTCFS1		=0x89:5;
sbit	TKTCFS2		=0x89:6;
sbit	TKTMREN		=0x89:7;

sbit	TKM2S0		=0x8A:0;
sbit	TKM2S1		=0x8A:1;
sbit	TKTMSC		=0x8A:2;
sbit	TKTCEN		=0x8A:3;

sbit	KEYEN9		=0x8A:4;
sbit	KEYEN10		=0x8A:5;
sbit	KEYEN11		=0x8A:6;
sbit	KEYEN12		=0x8A:7;



sbit	LCDEN		=0x9B:0;
sbit	RESL0		=0x9B:1;
sbit	RESL1		=0x9B:2;
sbit	OSCS		=0x9B:3;
sbit	LCDT0		=0x9B:4;
sbit	LCDT1		=0x9B:5;
sbit	LCDRC_EN	=0x9B:6;



sbit	WDTP0		=0xCD:0;
sbit	WDTP1		=0xCD:1;
sbit	WDTP2		=0xCD:2;
sbit	RTCCON		=0xCD:3;
sbit	LVDTEN		=0xCD:4;
sbit	LDOEN		=0xCD:5;
sbit	LIRC_EN		=0xCD:6;
sbit	RCADJEN		=0xCD:7;





sbit	FPWM0OE		=0x90:0;
sbit	FALOAD0		=0x90:1;
sbit	FT0CKS0		=0x90:2;
sbit	FT0CKS1		=0x90:3;
sbit	FT0PS0		=0x90:4;
sbit	FT0PS1		=0x90:5;
sbit	FT0PS2		=0x90:6;
sbit	FTM0ENB		=0x90:7;

sbit	FPWM1OE		=0xA0:0;
sbit	FALOAD1		=0xA0:1;
sbit	FT1CKS0		=0xA0:2;
sbit	FT1CKS1		=0xA0:3;
sbit	FT1PS0		=0xA0:4;
sbit	FT1PS1		=0xA0:5;
sbit	FT1PS2		=0xA0:6;
sbit	FTM1ENB		=0xA0:7;

sbit	FPWM2OE		=0xB0:0;
sbit	FALOAD2		=0xB0:1;
sbit	FT2CKS0		=0xB0:2;
sbit	FT2CKS1		=0xB0:3;
sbit	FT2PS0		=0xB0:4;
sbit	FT2PS1		=0xB0:5;
sbit	FT2PS2		=0xB0:6;
sbit	FTM2ENB		=0xB0:7;


sbit	PWM01E		=0x97:0;
sbit	PWM00HL		=0x97:1;
sbit	PWM01HL		=0x97:2;
sbit	PWM0M		=0x97:3;
sbit	PWM00OE		=0x97:4;
sbit	PWM01OE		=0x97:5;
sbit	TC0WAKE		=0x97:6;
sbit	PWM0OD		=0x97:7;

sbit	PWM11E		=0xA6:0;
sbit	PWM10HL		=0xA6:1;
sbit	PWM11HL		=0xA6:2;
sbit	PWM1M		=0xA6:3;
sbit	PWM10OE		=0xA6:4;
sbit	PWM11OE		=0xA6:5;
sbit	TC1WAKE		=0xA6:6;
sbit	PWM1OD		=0xA6:7;

sbit	PWM21E		=0xB6:0;
sbit	PWM20HL		=0xB6:1;
sbit	PWM21HL		=0xB6:2;
sbit	PWM2M		=0xB6:3;
sbit	PWM20OE		=0xB6:4;
sbit	PWM21OE		=0xB6:5;
sbit	TC2WAKE		=0xB6:6;
sbit	PWM2OD		=0xB6:7;



sbit	INT0IE		=0xc9:0;
sbit	FINT1IE		=0xc9:1;
sbit	FTM0IEN		=0xc9:2;
sbit	FTM1IEN		=0xc9:3;
sbit	FTM2IEN		=0xc9:4;
sbit	FRPIE		=0xc9:5;
sbit	I2CIE		=0xc9:6;
sbit	ADCIE		=0xc9:7;

sbit	E2PIE		=0xc7:0;
sbit	TKTMRIE		=0xc7:1;
sbit	SPIIE		=0xc7:2;
sbit	T0IE	    =0xC7:3;
sbit	OPAIE    	=0xC7:4;

sbit	INT0IF		=0xc8:0;
sbit	FINT1IF		=0xc8:1;
sbit	FTM0IRQ		=0xc8:2;
sbit	FTM1IRQ		=0xc8:3;
sbit	FTM2IRQ		=0xc8:4;
sbit	FRPIF		=0xc8:5;
sbit	I2CIF		=0xc8:6;
sbit	ADCIF		=0xc8:7;

sbit	E2PIF		=0xc6:0;
sbit	TKTMRIF		=0xc6:1;
sbit	SPIIF		=0xc6:2;
sbit	T0IF	    =0xC6:3;
sbit	OPAIF    	=0xC6:4;

sbit	FP17 = 0xd1:7;
sbit	FP16 = 0xd1:6;
sbit	FP15 = 0xd1:5;
sbit	FP14 = 0xd1:4;
sbit	FP13 = 0xd1:3;
sbit	FP12 = 0xd1:2;
sbit	FP11 = 0xd1:1;
sbit	FP10 = 0xd1:0;


sbit	FP37 = 0xd3:7;
sbit	FP36 = 0xd3:6;
sbit	FP35 = 0xd3:5;
sbit	FP34 = 0xd3:4;
sbit	FP33 = 0xd3:3;
sbit	FP32 = 0xd3:2;
sbit	FP31 = 0xd3:1;
sbit	FP30 = 0xd3:0;

sbit	FP17M = 0xc1:7;
sbit	FP16M = 0xc1:6;
sbit	FP15M= 0xc1:5;
sbit	FP14M = 0xc1:4;
sbit	FP13M = 0xc1:3;
sbit	FP12M = 0xc1:2;
sbit	FP11M = 0xc1:1;
sbit	FP10M = 0xc1:0;

sbit	FP17UR = 0xe1:7;
sbit	FP16UR = 0xe1:6;
sbit	FP15UR= 0xe1:5;
sbit	FP14UR = 0xe1:4;
sbit	FP13UR = 0xe1:3;
sbit	FP12UR = 0xe1:2;
sbit	FP11UR = 0xe1:1;
sbit	FP10UR = 0xe1:0;


sbit	FP37M = 0xc3:7;
sbit	FP36M = 0xc3:6;
sbit	FP35M= 0xc3:5;
sbit	FP34M = 0xc3:4;
sbit	FP33M = 0xc3:3;
sbit	FP32M = 0xc3:2;
sbit	FP31M = 0xc3:1;
sbit	FP30M = 0xc3:0;



sbit	FCLKMD = 0xca:2;
sbit	FSTPHX = 0xca:1;

sbit	FP17PD = 0xEC:7;
sbit	FP16PD = 0xEC:6;
sbit	FP15PD = 0xEC:5;
sbit	FP14PD = 0xEC:4;
sbit	FP13PD = 0xEC:3;
sbit	FP12PD = 0xEC:2;
sbit	FP11PD = 0xEC:1;
sbit	FP10PD = 0xEC:0;

sbit	FP37PD = 0xEE:7;
sbit	FP36PD = 0xEE:6;
sbit	FP35PD = 0xEE:5;
sbit	FP34PD = 0xEE:4;
sbit	FP33PD = 0xEE:3;
sbit	FP32PD = 0xEE:2;
sbit	FP31PD = 0xEE:1;
sbit	FP30PD = 0xEE:0;

sbit	FGIE = 0xdf:7;

sbit	FSTKPB2= 0xDF:2;
sbit	FSTKPB1= 0xDF:1;
sbit	FSTKPB0= 0xDF:0;















#line 2 ".\Src\main.c"




















unsigned int geshu=0;

unsigned long led_time=0;
unsigned int led_pwm0=0;
unsigned int led_pwm1=0;
unsigned int led_pwm2=0;
unsigned int send_time=0;
void send();
void out();

unsigned int color1,play1;
unsigned int color2;
unsigned int color4;
unsigned int color5;
unsigned int color6;


unsigned int color10;
unsigned int color11;

unsigned int color13;

unsigned int mode,wy_mode;

unsigned int speed=5;


unsigned int time1,time2,time3;
unsigned int time4,time5;
unsigned int speed;

unsigned int pwm_number1,pwm_number2,pwm_number3;
unsigned int pwm_out1,pwm_out2,pwm_out3;
unsigned int mode_choose;
unsigned int pwm_out=255;

unsigned int shu,jian;
unsigned int pwm_number;

unsigned int cha;
unsigned int chu;

unsigned int flag=0;
sbit on_off=flag:0;

sbit t1_use=flag:5;

sbit wy=flag:6;
sbit rgb=flag:7;

void bian();
void qian();




void delay_2u()
{
	__asm{nop}__asm{nop}__asm{nop}
	__asm{nop}__asm{nop}__asm{nop}__asm{nop}

}
void delay_223u()
{
	__asm{nop}__asm{nop}__asm{nop}
	__asm{nop}__asm{nop}__asm{nop}
	__asm{nop}__asm{nop}__asm{nop}
	__asm{nop}__asm{nop}__asm{nop}
	__asm{nop}__asm{nop}
}
void delay_5u()
{

}

void Tm1Init()
{

	TM1C=106;
	TM1D0=0xff;
	TM1M=0x12;
	FTM1IRQ=0;
	FTM1IEN=1;
	FTM1ENB=1;
	FGIE=1;
}

void Tm2Init()
{

	TM2C=0;
	TM2M=0xd3;
	FTM2IRQ=0;
}

void key23_down()
{
	if(FP30)
	{

		if(time3>10)
		{
			if(on_off)
			{
				if(mode>=1&&mode<=8)
				{
					if(speed<7)
					{
						speed++;
					}
				}
				else
				{
					if(pwm_out<225)
					{
						pwm_out+=30;
					}
					else
					{
						pwm_out=255;
					}
				}

			}

		}
		time3=0;
	}
	else
	{
		if(time3<250)
		{
			time3++;
		}
	}

	if(FP16)
	{
		if(time2>10)
		{
			if(on_off)
			{

				if(mode>=1&&mode<=8)
				{
					if(speed>3)
					{
						speed--;
					}
				}
				else
				{
					if(pwm_out>45)
					{
						pwm_out-=30;
					}
					else
					{
						pwm_out=45;
					}
				}
			}

		}
		time2=0;
	}
	else
	{
		if(time2<250)
		{
			time2++;
		}
	}
}
void key4_down()
{
	if(FP15)
	{
		if(time1>10)
		{
			on_off=~on_off;
		}
		time1=0;
	}
	else
	{
		if(time1<250)
		{
			time1++;
		}
	}

	if(FP31)
	{
		if(time4>10)
		{
			if(on_off)
			{
				if(rgb)
				{
					mode++;
					play1=48;
					color1=0;
					if(mode==8)
					{
					pwm_out1=pwm_out;
					pwm_out2=0;
					pwm_out3=0;
					mode_choose=0;
					}
				}
				else
				{
					rgb=1;
					wy=0;
				}
			}

		}
		time4=0;
	}
	else
	{
		if(time4<250)
		{
			time4++;
		}
	}

	if(FP32)
	{
		if(time5>10)
		{
			if(on_off)
			{
				if(wy)
				{
					wy_mode++;
				}
				else
				{
					wy=1;
					rgb=0;
				}
			}

		}
		time5=0;
	}
	else
	{
		if(time5<250)
		{
			time5++;
		}
	}
}
void delay(unsigned long time)
{
		send_time=0;

	led_time=0;
	while(led_time<time)
	{
		WDTR=0X5au;


		if(send_time>100)
		{
			qian();
			out();

			send_time=0;
		}
		if(t1_use)
		{
			key4_down();
			key23_down();
			t1_use=0;pwm_number=pwm_out;
		}

		if(on_off==0 || rgb==0)
		{
			led_time=2000;
		}


	}
}

void delayad(unsigned long time)
{
		send_time=0;

	led_time=0;
	while(led_time<time)
	{
		WDTR=0X5au;

		if(t1_use)
		{
			key4_down();
			key23_down();
			t1_use=0;
		}


	}
}

void pwm_color()
{
	switch(mode_choose)
	{
		default: mode_choose=0;
		case 0: pwm_number1=255;pwm_number2=0;pwm_number3=0;break;
		case 1: pwm_number1=255;pwm_number2=255;pwm_number3=0;break;
		case 2: pwm_number1=0;pwm_number2=255;pwm_number3=0;break;
		case 3: pwm_number1=0;pwm_number2=255;pwm_number3=255;break;
		case 4: pwm_number1=0;pwm_number2=0;pwm_number3=255;break;
		case 5: pwm_number1=255;pwm_number2=0;pwm_number3=255;break;

	}

		if(pwm_out1<pwm_number1)
		{
			if(pwm_out1<pwm_number1- 3)
			{
				pwm_out1+= 3;
			}
			else
			{
				pwm_out1=pwm_number1;
			}
		}
		else if(pwm_out1>pwm_number1)
		{
			if(pwm_out1>pwm_number1+ 3)
			{
				pwm_out1-= 3;
			}
			else
			{
				pwm_out1=pwm_number1;
			}

		}
		else
		{
			pwm_out1=pwm_number1;
		}

		if(pwm_out2<pwm_number2)
		{
			if(pwm_out2<pwm_number2- 3)
			{
				pwm_out2+= 3;
			}
			else
			{
				pwm_out2=pwm_number2;
			}
		}
		else if(pwm_out2>pwm_number2)
		{
			if(pwm_out2>pwm_number2+ 3)
			{
				pwm_out2-= 3;
			}
			else
			{
				pwm_out2=pwm_number2;
			}

		}
		else
		{
			pwm_out2=pwm_number2;
		}

		if(pwm_out3<pwm_number3)
		{
			if(pwm_out3<pwm_number3- 3)
			{
				pwm_out3+= 3;
			}
			else
			{
				pwm_out3=pwm_number3;
			}
		}
		else if(pwm_out3>pwm_number3)
		{
			if(pwm_out3>pwm_number3+ 3)
			{
				pwm_out3-= 3;
			}
			else
			{
				pwm_out3=pwm_number3;
			}

		}
		else
		{
			pwm_out3=pwm_number3;
		}

		if(pwm_out1==pwm_number1&&pwm_out2==pwm_number2&&pwm_out3==pwm_number3)
		{
			mode_choose++;
		}
}


#line 439 ".\Src\main.c"
void mode1()
{
	switch(color1)
	{
	default: color1=0;
	case 0: led_pwm1=255;led_pwm0=0;led_pwm2=0;
			break;
	case 1: led_pwm1=0;led_pwm0=255;led_pwm2=0;
			break;
	case 2: led_pwm1=0;led_pwm0=0;led_pwm2=255;
			break;
	case 3: led_pwm1=255;led_pwm0=0;led_pwm2=64;
			break;

	case 4: led_pwm1=255;led_pwm0=255;led_pwm2=0;
			break;

	case 5: led_pwm1=0;led_pwm0=255;led_pwm2=255;
			break;
	case 6: led_pwm1=255;led_pwm0=0;led_pwm2=255;
			break;
	case 7: led_pwm1=255;led_pwm0=255;led_pwm2=255;
			break;

	}
}


void mode2()
{
	color2++;
	if(color2>24)
	{
		color2%=24;
	}
	if(color2>20)
	{
		color1=0;
	}
	else if(color2>16)
	{
		color1=1;
	}
	else if(color2>12)
	{
		color1=2;
	}
	else if(color2>8)
	{
		color1=4;
	}
	else if(color2>4)
	{
		color1=5;
	}
	else
	{
		color1=6;
	}
	mode1();
}

void mode4()
{
	color4++;
	if(color4>12)
	{
		color4%=12;
	}
	if(color4>8)
	{
		color1=0;
	}
	else if(color4>4)
	{
		color1=1;
	}
	else
	{
		color1=2;
	}
	mode1();

}


void mode5()
{
	color5++;
	if(color5>12)
	{
		color5%=12;
	}

	if(color5>6)
	{
		color1=1;
	}
	else
	{
		color1=7;
	}
	mode1();

}


void mode6()
{
	color6++;
	if(color6>64)
	{
		color6=0;
	}

	if(color6>56)
	{
		color1=0;
	}
	else if(color6>48)
	{
		color1=1;
	}
	else if(color6>40)
	{
		color1=2;
	}
	else if(color6>32)
	{
		color1=3;
	}
	else if(color6>24)
	{
		color1=4;
	}
	else if(color6>16)
	{
		color1=5;
	}
	else if(color6>8)
	{
		color1=6;
	}
	else
	{
		color1=7;
	}
	mode1();

}
void mode7(unsigned int xx,unsigned int yy,unsigned int zz)
{
	led_pwm1=xx;led_pwm0=yy;led_pwm2=zz;
}


unsigned int pwm_pic(unsigned int yy,unsigned int zz)
{
	unsigned int pic;
	pic=(pwm_out/yy)*zz;
	return pic;
}



void mode10()
{
	shu=128;
	jian=shu/8;
pwm_number=255;

	color10++;
	if(color10>47)
	{color10%=48;}

	if(color10==0){mode7(pwm_number,0,0);}
	else if(color10<8)
	{

		mode7(pwm_number-color10*jian,color10*jian,0);
	}
	else if(color10==8){mode7(pwm_number/2,pwm_number/2,0);}
	else if(color10<16)
	{
		mode7(shu-(color10-8)*jian,shu+(color10-8)*jian,0);
	}
	else if(color10==16){mode7(0,pwm_number,0);}
	else if(color10<24)
	{
		mode7(0,pwm_number-(color10-16)*jian,(color10-16)*jian);
	}
	else if(color10==24){mode7(0,pwm_number/2,pwm_number/2);}
	else if(color10<32)
	{
		mode7(0,shu-(color10-24)*jian,shu+(color10-24)*jian);
	}
	else if(color10==32){mode7(0,0,pwm_number);}
	else if(color10<40)
	{
		mode7((color10-32)*jian,0,pwm_number-(color10-32)*jian);
	}
	else if(color10==40){mode7(pwm_number/2,0,pwm_number/2);}
	else if(color10<48)
	{
		mode7(shu+(color10-40)*jian,0,shu-(color10-40)*jian);
	}


}







void mode11(unsigned int xx)
{
	unsigned int mm,nn;
	color11++;
	chu=23;
	if(color11>23)
	{color11-=24;}

	nn=64;

	if(color11<2)
	{
		mm=255;
	}
	else if(color11<12)
	{
		mm=255-chu*(color11-1);
	}
	else if(color11<14)
	{
		mm=0;
	}
	else if(color11<24)
	{
		mm=chu*(color11-13);
	}

	switch(xx)
	{
		case 0: mode7(mm,nn,0);break;
		case 1: mode7(0,mm,nn);break;
		case 2: mode7(mm,0,nn);break;



	}


}




void mode13()
{
	color13++;
	cha=5;
	if(color13>47){color13=0;}


	if(color13<7)
	{
		mode7(0,0,64);
	}
	else if(color13<47)
	{
		mode7(cha*(color13-6),0,64);
	}

	else
	{
		mode7(255,0,64);
	}
}

void rgb_close()
{
	unsigned int i;
 led_pwm1=0;led_pwm0=0;led_pwm2=0;;
	for(i=0;i<108;i++)
	{
		FGIE=0;
		send();
		FGIE=1;
 led_pwm1=0;led_pwm0=0;led_pwm2=0;;
 FP33 =0;
	}
}

void bian()
{
	if(mode==7)
	{
		delay(1000);
		color1++;
	}


}

void qian()
{

	color2=play1;
	color4=play1;
	color5=play1;

	color6=play1;
	color10=play1;
	color11=play1;
	color13=play1;




}


void led_mode()
{
	switch(wy_mode)
	{
		case 1: PWM2E=0x21;TM2D1=pwm_out;break;
		case 2: PWM2E=0x42;TM2D2=pwm_out;break;
		case 3: PWM2E=0x63;TM2D1=pwm_out/2;TM2D2=pwm_out/2;break;
		default: wy_mode=1;break;
	}
}


void choosemode()
{
	switch(mode)
	{
		case 1: geshu=96;mode10();break;


		case 2: geshu=96;mode2();
				break;
		case 3: geshu=96;mode4();
				break;
		case 4: geshu=96;mode11(2);
				break;

		case 5: geshu=64;mode6();break;
		case 6: geshu=96;mode5();break;

		case 7: geshu=96;mode1();break;



		case 8: geshu=96;
				led_pwm1=pwm_out1;led_pwm0=pwm_out2;led_pwm2=pwm_out3;break;


		case 9: mode7(pwm_out,0,0);
				break;
		case 10: mode7(0,pwm_out,0);
				break;
		case 11: mode7(0,0,pwm_out);
				break;
		case 12: mode7(pwm_out,pwm_out,0);
				break;
		case 13: mode7(0,pwm_out,pwm_out);
				break;
		case 14: mode7(pwm_out,0,pwm_out);
				break;

		case 15: led_pwm1=pwm_out;led_pwm0=pwm_out;led_pwm2=pwm_out;
				break;



		default: mode=1;break;
	}
}

void choose_m()
{
	switch(speed)
	{
		case 3: delay(1100);break;
		case 4: delay(850);break;
		case 5: delay(550);break;
		case 6: delay(340);break;
		case 7: delay(170);break;
	}
}


void choose_speed()
{
	switch(speed)
	{
		case 3: delay(350);break;
		case 4: delay(130);break;
		case 5: delay(50);break;
		case 6: delay(28);break;
		case 7: delay(15);break;
	}
}

void choose_s()
{
	switch(speed)
	{
		case 3: delay(28);break;
		case 4: delay(18);break;
		case 5: delay(10);break;
		case 6: delay(5);break;
		case 7: delay(2);break;
	}
}
void main()
{
	Tm1Init();
	Tm2Init();
	P1M=0x1f;
	P1UR=0x60;
	P3M=0Xf8;
	P3UR=0x07;

	on_off=1;
	wy_mode=1;mode=1;
	wy=1;rgb=0;

	pwm_out=255;
geshu=96;
	play1=48;
	while(1)
	{
		WDTR=0X5au;
		if(on_off)
		{



			if(wy)
			{
				led_mode();
				rgb_close();
				delayad(100);
			}
			else if(rgb)
			{
				qian();PWM2E=0x00;
				if(mode==8)
				{pwm_color();}
				out();

				if(mode<=6&&mode>=1)
				{choose_speed();}
				else if(mode==7){choose_m();}
				else if(mode==8){choose_s();}
				else
				{delay(50);}

				if(play1>0)
				{
					play1--;
				}
				else
				{
					play1=geshu;
				}
				bian();
			}
		}
		else
		{
			PWM2E=0x00;
			rgb_close();
			delayad(100);

		}



	}
}



void out()
{
	unsigned int i;
	for(i=0;i<geshu;i++)
	{
		choosemode();
		FGIE=0;
		send();
		FGIE=1;
	}

}

void send()
{
	unsigned int number;
	sbit	a		=number:0;
	sbit	b		=number:1;
	sbit	c		=number:2;
	sbit	d		=number:3;
	sbit	e		=number:4;
	sbit	f		=number:5;
	sbit	g		=number:6;
	sbit	dp		=number:7;
	number=led_pwm0;
	if(dp)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}    else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(g)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(f)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(e)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(d)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(c)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(b)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}    else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(a)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	number=led_pwm1;
	if(dp)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}    else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(g)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(f)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(e)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(d)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(c)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(b)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}    else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(a)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	number=led_pwm2;
	if(dp)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}    else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(g)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(f)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(e)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(d)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(c)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(b)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}    else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}
	if(a)	{FP33 =1;delay_2u();FP33 =0;delay_223u();delay_2u();;}	 else	{FP33 =1;__asm{nop}__asm{nop}FP33 =0;delay_223u();delay_223u();;}

}

void __interrupt[0x08] interrupt_isr(void)
{
	FTM1IRQ=0;
	led_time++;
	send_time++;
	t1_use=1;
}
